Loading...
Searching...
No Matches
DiPixelRepresentationTemplate< T > Class Template Reference

Template class to determine pixel representation. More...

Inheritance diagram for DiPixelRepresentationTemplate< T >:

## Public Member Functions

| DiPixelRepresentationTemplate ()
| default constructor
virtual | ~DiPixelRepresentationTemplate ()
| destructor
int | isSigned () const
| check whether template type T is signed or not

## Protected Member Functions

virtual EP_Representation | getRepresentation () const
| determine integer representation for template type T

## Detailed Description

template<class T>
class DiPixelRepresentationTemplate< T >

Template class to determine pixel representation.

Size of basic structure, sign-extension

## Member Function Documentation

## getRepresentation()

template<class T>

virtual EP_Representation DiPixelRepresentationTemplate< T >::getRepresentation | ( |  | ) | const

inline protected virtual

determine integer representation for template type T

Returns
  integer representation

Reimplemented in DiColorPixelTemplate< T >, and DiMonoPixelTemplate< T >.

Referenced by DiColorOutputPixelTemplate< T1, T2 >::getRepresentation(), DiColorPixelTemplate< T >::getRepresentation(), DiInputPixelTemplate< T1, T2 >::getRepresentation(), DiMonoOutputPixelTemplate< T1, T2, T3 >::getRepresentation(), and DiMonoPixelTemplate< T >::getRepresentation().

## isSigned()

template<class T>

int DiPixelRepresentationTemplate< T >::isSigned | ( |  | ) | const

inline

check whether template type T is signed or not

Returns
  true if signed, false otherwise

Referenced by DiYBRPixelTemplate< T1, T2 >::convert(), and DiScaleTemplate< T >::isSigned().

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/dipxrept.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0